<app-loading *ngIf="isLoading"></app-loading>
<div nz-col nzSpan="12" class="btn-fixed-right">
  <mb-button mbButtonSize="MEDIUM" mbButtonText="{{'angleIt.label.history' | translate}}"
             mbButtonTextColor="#141ED2" (click)="goToHistory()"></mb-button>
  <mb-button mbButtonType="NO_BORDER" mbButtonSize="VERY_LARGE" (click)="send()" mbButtonAvailableStyle="PRIMARY"
             mbButtonText="{{'angleIt.label.send' | translate}}"></mb-button>
</div>
<div nz-row class='send'>
  <div nz-col [nzXs]='16' [nzLg]='16' class='send__left'>
    <div class='app-card'>
      <div nz-row [nzGutter]='[30,30]' class='label__divider--wrap'>
        <div nz-col [nzXs]='24' [nzLg]='24' class='input__group'>
          <label
            class='label__divider'>{{'angleIt.send.selectWordsThanks' | translate}}</label>
        </div>
      </div>
      <div nz-row [nzGutter]='[30,30]' class='image-body'>
        <ng-container *ngFor='let image of listImg; let i = index'>
          <div nz-col [nzSpan]='6' class='img-item' [ngClass]="index === i ? 'selected-image' : ''">
            <hcm-mfe-img-item [docId]='image.imageId' (click)='changeSelect(i)' ></hcm-mfe-img-item>
          </div>
        </ng-container>
      </div>
      <div nz-row [nzGutter]='[30,30]' class='label__divider--wrap'>
        <div nz-col [nzXs]='24' [nzLg]='24' class='input__group'>
          <label
            class='label__divider'>{{'angleIt.send.selectPoint' | translate}}</label>
        </div>
      </div>
      <div nz-row class='-space-between'>
        <ng-container *ngFor='let point of listPoint'>
          <div nz-col [nzSpan]='6'>
            <hcm-mfe-select-point [index]='point.index'  [(isSelect)]='point.isSelect' [mbImgPath]='point.path' [mbTitle]='point.title' (onChange)='selectPoint($event)' ></hcm-mfe-select-point>
          </div>
        </ng-container>
      </div>
    </div>
  </div>
  <div nz-col [nzXs]='8' [nzLg]='8' class='send__right'>
    <div class='current-point'>
      <div class='current-point__label'>
        <div class='current-point__label__label'>Điểm hiện có</div>
        <div class='current-point__label__point'>{{myPoint}} <span class='current-point__label__point__point'>Điểm</span></div>
      </div>
    </div>
    <div class='send-thanks'>
      <form class='send-form' nz-form [formGroup]="form">
        <div class="app-row" nz-row [nzGutter]="[30, 0]">
          <div nz-col nzXs="24">
            <multi-employee-data-picker
              [showEmpTypeSelect]='false'
              [mbCanText]='true'
              [getEmail]='true'
              [mbType]="isSubmitted && form['controls']['employees'].errors ? 'error' : 'default'"
              [mbShowError]="isSubmitted && form['controls']['employees'].errors !== null"
              [mbErrors]="form['controls']['employees'].errors"
              [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'angleIt.validate.required' | translate: {'param': 'angleIt.send.sendTo' | translate}}]"
              [formControlName]="'employees'"
              [functionCode]='SEND_THANK_MESSAGE'
              scope='00_VIEW'
              status="WORKING"
              mbLabelText="{{'angleIt.send.sendTo' | translate}} <span class='label__required'>*</span>">
            </multi-employee-data-picker>
          </div>
          <div nz-col nzXs="24">
            <mb-input-text formControlName="point" [mbSuffixTemplate]='suffix' appNumberic [num]='10' [mbDisable]='isDisablePoint'
                           [mbType]="isSubmitted && form.controls['point'].errors ? 'error' : 'default'" [mbMaxLength]="150"
                           [mbShowError]="isSubmitted && form.controls['point'].errors != null" [mbErrors]="form.controls['point'].errors"
                           [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'angleIt.validate.required' | translate: {'param': 'angleIt.send.pointThanks' | translate }}]"
                           mbPlaceholderText="{{'angleIt.send.pointThanks' | translate}}"
                           mbLabelText="{{'angleIt.send.pointThanks' | translate}} <span class='label__required'>*</span>"></mb-input-text>
          </div>
          <div nz-col nzXs="24">
            <mb-input-text formControlName="content" [mbDisable]='true'
                           [mbType]="isSubmitted && form.controls['content'].errors ? 'error' : 'default'" [mbMaxLength]="500"
                           [mbShowError]="isSubmitted && form.controls['content'].errors != null" [mbErrors]="form.controls['content'].errors"
                           [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'angleIt.validate.required' | translate: {'param': 'angleIt.send.wordsThanks' | translate }}]"
                           mbPlaceholderText="{{'angleIt.send.wordsThanks' | translate}}"
                           mbLabelText="{{'angleIt.send.wordsThanks' | translate}} <span class='label__required'>*</span>"></mb-input-text>
          </div>
          <div nz-col nzXs="24">
            <mb-input-text formControlName="message" [mbIsTextAre]='true' [mbConfig]="{ rows: 3, autoSize: true }" [mbMaxLength]="500"
                           [mbType]="isSubmitted && form.controls['message'].errors ? 'error' : 'default'"
                           [mbShowError]="isSubmitted && form.controls['message'].errors !== null" [mbErrors]="form.controls['message'].errors"
                           [mbErrorDefs]="[{ errorName: 'maxlength', errorDescription: 'angleIt.validate.maxLength' | translate: {'numberLength': '500' }}]"
                           mbPlaceholderText="{{'angleIt.send.message' | translate}}"
                           mbLabelText="{{'angleIt.send.message' | translate}}"></mb-input-text>
          </div>
        </div>
      </form>
    </div>
  </div>
</div>


<ng-template #suffix>
  <label class='point-suffix'> {{"angleIt.send.point" | translate}} </label>
</ng-template>
